import { _list, _view, _export, _add, _adds, _up, _ups, _del } from '@/api/app'
import { reformateObjectRes } from '@/utils/index'

const prowlerStoreApi = defineStore('prowlerStoreApi', {
  state: () => ({
    //...
  }),
  actions: {
    //* *********** 支付接口 **************
    // 获取列表 - 通用
    list(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 273
        data.showfield = 'customerid,customername,customertype1,customertype,customertel,customersex,customerwxopenid,customersfky,customersfrz,customerzjlx,customerzjhm,customerzjyxq,customerheadimgurl,customercity,customerprovince,customercountry,customershdz,customertjrid,customerqym,customerissubscribe,customersubscribetime,customerunsubscribetime,customerunionid,customercreatedate,customerupdate'
        data.entityname = 'customer'
        _list(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 获取详情  - 通用
    view(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 274
        data.entityname = 'paysort'
        data.showfield = 'paysortid,paysortname,paysortcustomerid,paysortwxappid,paysortwxmchid,paysortwxappsecret,paysortwxkey,paysortwxencodingaeskey,paysortwxtoken,paysortalipayuid,paysortalipayappid,paysortalipayprivekey,paysortalipaypublickey,paysortsfky,paysortcreatedate,paysortcreateuser,paysortupdate,paysortupuser'
        _view(data)
          .then((res) => {
            resolve(reformateObjectRes(res.Data))
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 更新 - 通用
    up(data) {
      return new Promise((resolve, reject) => {
        data.entityname = 'paysort'
        data.keyfields = 'paysortid'
        data.pagevalue = 277
        _up(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 新增
    add(data) {
      // paysortname=123123&paysortsfky=1&paysortwxappid=3123312&paysortalipayappid=312312&entityname=paysort&paysortid=call:id&paysortcreatedate=call:datetime&paysortcreateuser=session:account
      // paysortname=12&paysortsfky=1&paysortwxappid=13&paysortalipayappid=3123&entityname=paysort&paysortid=2024051416502779084672&paysortcreatedate=2024-05-14 16:50:27&paysortcreateuser=admin
      return new Promise((resolve, reject) => {
        // data.pagevalue = 275
        // data.entityname = 'paysort'
        // data.paysortid = 'call:id' // 创建id
        // data.paysortcreatedate = 'call:datetime' // 创建时间
        // data.paysortcreateuser = 'session:account' // 创建人
        data.pagevalue = 283

        _add(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },

    // 删除 - 通用
    del(data) {
      return new Promise((resolve, reject) => {
        const promData = {
          pagevalue: 276,
          keyfields: 'paysortid',
          entityname: 'paysort',
          'paysortid.value': data.paysortid,
        }
        _del(promData)
          .then((res) => {
            resolve(reformateObjectRes(res.Data))
          })
          .catch((err) => {
            reject(err)
          })
      })
    },

  },
})

export default prowlerStoreApi
